Bug 16181 - Some applications are not working below Xcode5
Summary: Some applications are not working below Xcode5
Status: VERIFIED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Samples ()
Version: 7.0.3.x
Hardware: PC Mac OS
: Normal normal
Target Milestone: Untriaged
Assignee: GouriKumari
URL:
: 15094 ()
Depends on:
Blocks:
 
Reported: 2013-11-13 06:15 UTC by Prashant manu
Modified: 2013-11-22 12:07 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Prashant manu 2013-11-13 06:15:50 UTC
Actual Result: We are not able to deploy some application on below Xcode 5, Getting error "This version of Xcode is too old to read this archive." while Deployment target already displayed below 7.0 under Project Option->iOS Application.

Note: I have checked the README for these applications but I am not seeing that these application for Xcode 5 and above.

Expected Result: Applications should work on below Xcode5

App Info:
GLPaint-GameView
Hello_ComplexUniversal
ButtonEventDemo
Hello_Universal
AudioConvertorFileConverter
Quotes
AQTapDemo
AsyncDownloadedImage
ButtonTapper3000
SoZoomy
AVCaptureFrame

Supplement info:
Build Output: https://gist.github.com/saurabh360/5727a6532259769ae585

Environment details:
All Mac
All Xcode below version 5
X.S 4.2(build 2)
Mono 3.2.4
X.iOS 7.0.4.209

Regression Status:
I have checked it with stable X.iOS 7.0.2-7 and getting same behavior. I am sure it was working before with previous builds but not sure where is the problem.
Comment 1 GouriKumari 2013-11-20 11:39:59 UTC
I checked the samples in the following test env and was able to successfully deploy to device and simulator. 

Test Env:
XS 4.2.1, 
XS 4.2 (build 93) : 5183410ee2c6f40cd4a60b6ca1809a81d9d8ac2d 
Xcode 4.5.2 , Xcode 4.6.3
iPad 6.1.3, iphone simulator 4.3/6.0

@Prashant:

Could you let me know the hash of XS 4.2 (build 2) . 

Also, could you try deploying ios applications with the latest 4.2 build.
Comment 2 PJ 2013-11-20 16:32:09 UTC
The changes here are likely in the monotouch-samples repo.

 Gouri perhaps you need to pull the repo? 

I'm not sure how exactly we want to handle compatibility with older Xcodes, but I think I'd rather be moving forward and cause some issues for people on older Xcodes than have old samples demonstrating older Xcode compatibility.
Comment 3 GouriKumari 2013-11-20 17:15:05 UTC
Please ignore Comment #1. It was due to an error in my test env.

The samples mentioned in comment #0 are now modified to work only with Xcode 5.0 or above. 

With Xcode4.x versions, samples mentioned in comment #0 will give a build error.

ReadMe of the samples will  be updated accordingly.
Comment 4 GouriKumari 2013-11-21 08:37:19 UTC
*** Bug 15094 has been marked as a duplicate of this bug. ***
Comment 5 Atin 2013-11-22 12:07:20 UTC
As per comment 3 its clear that samples mentioned in bug is work only with Xcode 5.0 or above.

Hence marking this as Verified